#include <bits/stdc++.h>

using namespace std;

int main()
{
    iostream::sync_with_stdio(false);

    int n;
    cin >> n;
    int m=2*n;
    vector<int> a(n),b(n);

    int mx=m,mn=1;

    for(int i=0; i<n; i++)
    {
        if(i%2==0)
        {
            a[i]=mn;
            mn++;
        }
        else
        {
            a[i]=mx;
            mx--;
        }
    }


    for(int i=0; i<n; i++)
    {
        if(i%2==0)
        {
            b[i]=mn;
            mn++;
        }
        else
        {
            b[i]=mx;
            mx--;
        }
    }


    for(auto c:a)cout << c << " ";
    cout << "\n";
    for(auto c:b)cout << c << " ";
    cout << "\n";

    return 0;
}